/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2007 The LS-Universe Team

  Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(__UTILITY_H)
#define __UTILITY_H

static int iScreenWidth = GetSystemMetrics(SM_CXSCREEN);
static int iScreenHeight = GetSystemMetrics(SM_CYSCREEN);

static int iRealMonitors = GetSystemMetrics(SM_CMONITORS);

HINSTANCE xLSExecute(HWND Owner, LPCSTR szCommand, int nShowCmd);

void PrefixedLSSetVariable(string prefix, string var, string value);

string trim(const string &toTrim, bool bRemoveQuotes = false);
string IntToString(int input);

int SplitString(const string &process, string &one, string &two, string &three, string &four, string &five, string &six, string &seven);

string iGetxRCString(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCString(const string &uniqueKey, const string &baseName, const string &defaultVal);

string iGetxRCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);
string iGetx2RCLine(const string &uniqueKey, const string &baseName, const string &defaultVal);

StringList GetxRCLineList(const string &uniqueKey);

StringList GetxRCNameList(const string &uniqueKey);

vector<string> split(const string &str, const string &sep);

BOOL GetClipboardText(HWND hwndOwner, LPTSTR pszBuffer, UINT cchBuffer);
BOOL SetClipboardText(HWND hwndOwner, LPCTSTR pszText);

string processLabelText(const string &text, Label *label = NULL, bool *dynamic = NULL);
string lowerCase(const string &s);

#endif
